Bug 983982 - [abrt] scribus-1.4.2-5.fc19: ScribusMainWindow::emergencySave: Process /usr/bin/scribus was killed by signal 11 (SIGSEGV)
[abrt] scribus-1.4.2-5.fc19: ScribusMainWindow::emergencySave: Process /usr/b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: scribus (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:398a269a107bc27e5d89ef09a45...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 08:57 EDT by backdoor03
Modified: 2015-02-17 11:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:06:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (76.82 KB, text/plain)
2013-07-12 08:57 EDT, backdoor03
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-12 08:57 EDT, backdoor03
no flags Details
File: core_backtrace (8.52 KB, text/plain)
2013-07-12 08:57 EDT, backdoor03
no flags Details
File: dso_list (16.73 KB, text/plain)
2013-07-12 08:57 EDT, backdoor03
no flags Details
File: environ (1.79 KB, text/plain)
2013-07-12 08:57 EDT, backdoor03
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-12 08:57 EDT, backdoor03
no flags Details
File: maps (84.86 KB, text/plain)
2013-07-12 08:57 EDT, backdoor03
no flags Details
File: open_fds (432 bytes, text/plain)
2013-07-12 08:57 EDT, backdoor03
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-07-12 08:57 EDT, backdoor03
no flags Details
File: var_log_messages (226 bytes, text/plain)
2013-07-12 08:57 EDT, backdoor03
no flags Details

  None (edit)
Description backdoor03 2013-07-12 08:57:04 EDT
Version-Release number of selected component:
scribus-1.4.2-5.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/scribus
crash_function: ScribusMainWindow::emergencySave
executable:     /usr/bin/scribus
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ScribusMainWindow::emergencySave at /usr/src/debug/scribus-1.4.2/scribus/scribus.cpp:9207
 #1 defaultCrashHandler at /usr/src/debug/scribus-1.4.2/scribus/main_nix.cpp:136
 #3 ScribusMainWindow::setStatusBarMousePosition at /usr/src/debug/scribus-1.4.2/scribus/scribus.cpp:1041
 #4 ScribusMainWindow::qt_static_metacall at /usr/src/debug/scribus-1.4.2/build/scribus/moc_scribus.cxx:430
 #5 QMetaObject::activate at kernel/qobject.cpp:3539
 #6 ScribusView::MousePos at /usr/src/debug/scribus-1.4.2/build/scribus/moc_scribusview.cxx:710
 #7 ScribusView::eventFilter at /usr/src/debug/scribus-1.4.2/scribus/scribusview.cpp:4824
 #8 QCoreApplicationPrivate::sendThroughObjectEventFilters at kernel/qcoreapplication.cpp:1059
 #9 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4558
 #10 QApplication::notify at kernel/qapplication.cpp:4105

Potential duplicate: bug 711624
Comment 1 backdoor03 2013-07-12 08:57:08 EDT
Created attachment 772674 [details]
File: backtrace
Comment 2 backdoor03 2013-07-12 08:57:11 EDT
Created attachment 772675 [details]
File: cgroup
Comment 3 backdoor03 2013-07-12 08:57:15 EDT
Created attachment 772676 [details]
File: core_backtrace
Comment 4 backdoor03 2013-07-12 08:57:18 EDT
Created attachment 772677 [details]
File: dso_list
Comment 5 backdoor03 2013-07-12 08:57:22 EDT
Created attachment 772678 [details]
File: environ
Comment 6 backdoor03 2013-07-12 08:57:25 EDT
Created attachment 772679 [details]
File: limits
Comment 7 backdoor03 2013-07-12 08:57:28 EDT
Created attachment 772680 [details]
File: maps
Comment 8 backdoor03 2013-07-12 08:57:32 EDT
Created attachment 772681 [details]
File: open_fds
Comment 9 backdoor03 2013-07-12 08:57:35 EDT
Created attachment 772682 [details]
File: proc_pid_status
Comment 10 backdoor03 2013-07-12 08:57:38 EDT
Created attachment 772683 [details]
File: var_log_messages
Comment 11 David Ford 2013-11-15 09:47:09 EST
Just crashed

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        scribus
crash_function: ScribusMainWindow::emergencySave
executable:     /usr/bin/scribus
kernel:         3.11.7-200.fc19.x86_64
package:        scribus-1.4.3-2.fc19
reason:         Process /usr/bin/scribus was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            500
Comment 12 Mark Wilson 2013-12-06 16:40:55 EST
I think it was caused on cutting and text into scribus with a mouse within the mate desktop

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        scribus /home/mark/Dropbox/ChurchNotices/ChurchWeeklyNews-Dec8th2013.sla
crash_function: ScribusMainWindow::emergencySave
executable:     /usr/bin/scribus
kernel:         3.11.9-200.fc19.x86_64
package:        scribus-1.4.3-2.fc19
reason:         Process /usr/bin/scribus was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Fedora End Of Life 2015-01-09 13:52:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:06:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.